当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu8.04下无法安装arm-elf-tools-20040427.sh
帖子发表于 : 2008-04-27 7:10 

注册: 2008-04-27 7:04
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
按照以下的命令安装uClinux的编译环境,无法安装。但同样的命令可以在ubuntu7.10下可以安装,不明白原因。请教如何在8.04的英文版中安装arm-elf-tools-20040427.sh
kevin@kevin-desktop:~/uClinux$ sudo chmod +x arm-elf-tools-20040427.sh
kevin@kevin-desktop:~/uClinux$ sudo ./arm-elf-tools-20040427.sh
tail: cannot open `+43' for reading: No such file or directory

gzip: stdin: not in gzip format
tar: This does not look like a tar archive
tar: Error exit delayed from previous errors


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-28 14:46 

注册: 2007-05-27 10:36
帖子: 30
送出感谢: 0 次
接收感谢: 0 次
解决方法:找到arm-elf-tools-20030314.sh文件的第39行,

tail +${SKIP} ${SCRIPT} | gunzip | tar xvf -,

将其改为

tail -n+${SKIP} ${SCRIPT} | gunzip | tar xvf -

我是03的,可以,不知道04的行不!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-29 9:39 

注册: 2008-04-27 7:04
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
非常感谢!我试试看。
能给解释一下吗?我是新手,刚开始研究ubuntu和uclinux。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译